Bug 1965410 - CVE-2021-33574 glibc: mq_notify does not handle separately allocated thread attributes [fedora-all]
Summary: CVE-2021-33574 glibc: mq_notify does not handle separately allocated thread a...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: glibc
Version: 34
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
Assignee: Carlos O'Donell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2021-33574
TreeView+ depends on / blocked
 
Reported: 2021-05-27 16:33 UTC by Guilherme de Almeida Suckevicz
Modified: 2021-07-07 01:04 UTC (History)
12 users (show)

Fixed In Version: glibc-2.32-7.fc33 glibc-2.33-16.fc34 glibc-2.32-8.fc33
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-06-15 13:29:54 UTC
Type: ---


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Sourceware 27896 0 P2 NEW mq_notify does not handle separately allocated thread attributes (CVE-2021-33574) 2021-06-01 13:28:05 UTC

Description Guilherme de Almeida Suckevicz 2021-05-27 16:33:53 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Guilherme de Almeida Suckevicz 2021-05-27 16:33:57 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1965408,1965410

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 3 Carlos O'Donell 2021-06-01 13:28:10 UTC
There is a posted upstream fix here for review:
https://sourceware.org/pipermail/libc-alpha/2021-June/127000.html

Comment 4 Arjun Shankar 2021-06-10 13:19:40 UTC
This has been fixed upstream via 2 commits:
https://sourceware.org/git/?p=glibc.git;a=commit;h=42d359350510506b87101cf77202fefcbfc790cb
https://sourceware.org/git/?p=glibc.git;a=commit;h=217b6dc298156bdb0d6aea9ea93e7e394a5ff091

I have backported the fixes to upstream release branches for glibc-2.32 and glibc-2.33.

Comment 5 Fedora Update System 2021-06-11 10:38:18 UTC
FEDORA-2021-bf2458347f has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-bf2458347f

Comment 6 Fedora Update System 2021-06-11 10:38:20 UTC
FEDORA-2021-7ddb8b0537 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-7ddb8b0537

Comment 7 Fedora Update System 2021-06-12 01:07:34 UTC
FEDORA-2021-bf2458347f has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-bf2458347f`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-bf2458347f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2021-06-12 01:56:44 UTC
FEDORA-2021-7ddb8b0537 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-7ddb8b0537`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-7ddb8b0537

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2021-06-14 01:05:51 UTC
FEDORA-2021-7ddb8b0537 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Arjun Shankar 2021-06-14 16:12:57 UTC
This is now fixed on Fedora 33 and 34.

Comment 11 Fedora Update System 2021-06-16 08:28:05 UTC
FEDORA-2021-9ce0f65a09 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2021-06-22 01:11:09 UTC
FEDORA-2021-f29b4643c7 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-f29b4643c7`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-f29b4643c7

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2021-07-07 01:04:02 UTC
FEDORA-2021-f29b4643c7 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.